Scilab Function

xstringl - compute a box which surrounds strings

### Calling Sequence

  `rect=xstringl(x,y,str)`

### Parameters

- `rect` : vector of 4 real scalars defining the box.
- `x,y` : real scalars, coordinates of the lower-left point of the strings.
- `str` : matrix of strings.

### Description

`xstringl` returns in `rect=[x,y,w,h]` (upper-left point, width, height) the size of a rectangle in the current graphic scale which would surround the strings `str` drawn at location `x,y` (lower-left point).

The result can be approximative when using the Postscript driver.

### Examples

    plot2d([0;1],[0;1],0)
    str=["Scilab" "is";"not" "elisaB"];
    r=xstringl(0.5,0.5,str)
    xrects([r(1) r(2)+r(4) r(3) r(4)]')
    xstring(r(1),r(2),str)

### See Also

`titlepage` `xstring` `xstringl` `xtitle`

### Author

J.Ph.C.